/* SPDX-License-Identifier: GPL-2.0 */
/*
 * ICH Bridge Related Definitions
 */

#ifndef _ASM_ICH_H
#define _ASM_ICH_H

/* Device switches based on AMBA bridge of ICH */
enum MSISWCfgBase_OF_ICH {
	PS2KB_OF_ICH    = 0x004,
	PS2MO_OF_ICH    = 0x008,
	UART0_OF_ICH	= 0x00c,
	GPIO_OF_ICH     = 0x010,
	LPC_OF_ICH      = 0x014,
	XHCI_OF_ICH     = 0x018,
	I2C0_OF_ICH     = 0x01c,
	UART1_OF_ICH    = 0x020,
	I2C2_OF_ICH     = 0x024,
	GMAC0_OF_ICH    = 0x028,
	GMAC1_OF_ICH    = 0x02c,
	SATA_OF_ICH     = 0x030,
	DC_OF_ICH       = 0x03c,
	DMA_OF_ICH      = 0x040,
	I2C1_OF_ICH     = 0x048,
	SPI_OF_ICH      = 0x04c,
	PBERR0		= 0x060,
	PBERR1		= 0x064,
	PBERRMASK0	= 0x068,
	PBERRMASK1	= 0x06c,
	PBERR2		= 0x0ec,
	PBERRMASK2	= 0x0fc

};

extern unsigned long ich_bridge_addr;

/*
 * The user visible SPI busses are enumerated [0..5]. On SW64
 * platform, cpu builtin SPI controllers are enumerated [0..3],
 * so ICH's SPI controllers number from 4.
 */
#define ICH_SPINR	4

/*
 * The user visible I2C busses are enumerated [0..5]. On SW64
 * platform, cpu builtin I2C controllers are enumerated [0..2],
 * so ICH's I2C controllers number from 3.
 */
#define ICH_I2CNR	3

#endif /* _ASM_ICH_H */
